Bug 444796 - RFE: add rpm -qa logfile for failed builds
RFE: add rpm -qa logfile for failed builds
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 12:55 EDT by Matt Domsch
Modified: 2013-01-09 20:50 EST (History)
2 users (show)

See Also:
Fixed In Version: mock-1.1.10-1.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-21 18:04:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2008-04-30 12:55:43 EDT
Description of problem:
When mock fails a build, one of the first questions I get asked is "what version
of $foo package was installed during the build" - often gcc, python, etc.  It
would be beneficial to have a logfile kept (such as build.log and root.log)
which reports rpm -qa from inside the chroot.
Comment 1 Jesse Keating 2008-04-30 21:31:32 EDT
Isn't that info viewable in root.log?  EG:
http://koji.fedoraproject.org/koji/getfile?taskID=591001&name=root.log
Comment 2 Matt Domsch 2008-04-30 21:57:34 EDT
root.log only shows package version numbers for things pulled in via BR, not for
those in the default buildroot.
Comment 3 Matt Domsch 2008-05-01 13:33:28 EDT
as jesse notes, root.log will show the full set of packages if not using the
buildroot cache (which is what koji does).  I however use the buildroot cache
(it greatly speeds up building >5k packages).
Comment 4 Clark Williams 2010-12-17 16:06:30 EST
added log output of yum transaction to populate the chroot. Stored the ouptput in /var/cache/mock/<cfg>/root_cache/cache.log

Should be available in mock-1.1.8
Comment 5 Fedora Update System 2011-01-18 14:58:02 EST
mock-1.1.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.8-1.fc14
Comment 6 Fedora Update System 2011-01-18 14:58:42 EST
mock-1.1.8-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.8-1.fc13
Comment 7 Fedora Update System 2011-01-18 15:03:36 EST
mock-1.0.15-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.15-1.el5
Comment 8 Fedora Update System 2011-01-19 13:26:19 EST
mock-1.0.15-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mock-1.0.15-1.el5
Comment 9 Fedora Update System 2011-01-21 18:03:35 EST
mock-1.1.8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-02-19 21:25:45 EST
mock-1.1.9-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.fc13
Comment 11 Fedora Update System 2011-02-19 21:28:57 EST
mock-1.0.16-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.16-1.el5
Comment 12 Fedora Update System 2011-02-19 21:31:53 EST
mock-1.1.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.el6
Comment 13 Fedora Update System 2011-02-19 21:34:45 EST
mock-1.1.9-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.fc14
Comment 14 Fedora Update System 2011-03-03 03:24:16 EST
mock-1.1.9-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-03-03 03:33:19 EST
mock-1.1.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2011-05-13 16:33:30 EDT
mock-1.1.10-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc15
Comment 17 Fedora Update System 2011-05-13 16:38:18 EDT
mock-1.1.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc14
Comment 18 Fedora Update System 2011-05-13 16:42:35 EDT
mock-1.0.17-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.17-1.el5
Comment 19 Fedora Update System 2011-05-13 16:46:53 EDT
mock-1.1.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc13
Comment 20 Fedora Update System 2011-05-13 16:51:06 EDT
mock-1.1.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.el6
Comment 21 Fedora Update System 2011-05-19 00:34:53 EDT
mock-1.1.10-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2011-05-24 22:42:18 EDT
mock-1.1.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2011-05-24 23:16:37 EDT
mock-1.1.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2011-06-02 15:06:27 EDT
mock-1.0.17-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2011-06-02 15:16:29 EDT
mock-1.1.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.